## pdksh 5.2.12

=== os2/Makefile ===
#
#  OS2_Makefile
#

srcdir = .
VPATH = .

CC = gcc
CPP = cpp

INSTALL = /bin/install -c
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

DEFS = -DHAVE_CONFIG_H
LIBS = -los2

CPPFLAGS = 
CFLAGS = -O -DOS2
LDSTATIC = 
LDFLAGS = -O -s $(LDSTATIC)

SHELL_PROG = ksh

prefix = c:/usr
exec_prefix = c:/usr
transform=@program_transform_name@

bindir = $(exec_prefix)/bin
mandir = $(prefix)/man/man$(manext)
manext = 1

# Suffix for executables: nothing for unix, .exe for os/2.
exe_suffix=.exe

SHELL = sh

SRCS = alloc.c c_ksh.c c_sh.c c_test.c c_ulimit.c edit.c emacs.c \
	eval.c exec.c expr.c history.c io.c jobs.c lex.c mail.c \
	main.c misc.c missing.c path.c shf.c sigact.c syn.c table.c trap.c \
	tree.c tty.c var.c version.c vi.c
OBJS = os2.o alloc.o c_ksh.o c_sh.o c_test.o c_ulimit.o edit.o emacs.o \
	eval.o exec.o expr.o history.o io.o jobs.o lex.o mail.o \
	main.o misc.o missing.o path.o shf.o sigact.o syn.o table.o trap.o \
	tree.o tty.o var.o version.o vi.o
HDRS = c_test.h edit.h expand.h ksh_dir.h ksh_limval.h ksh_stat.h ksh_time.h \
	ksh_times.h ksh_wait.h lex.h proto.h sh.h shf.h sigact.h \
	table.h tree.h tty.h
DISTFILES = $(SRCS) $(HDRS) ksh.Man Makefile.in configure.in \
	config.h.in conf-end.h acconfig.h aclocal.m4 emacs-gen.sh \
	mkinstalldirs install-sh new-version.sh siglist.in siglist.sh mkman \
	check-fd.c check-pgrp.c check-sigs.c \
	README NEWS CONTRIBUTORS LEGAL PROJECTS INSTALL NOTES BUG-REPORTS \
	IAFA-PACKAGE ChangeLog ChangeLog.0 configure stamp-h.in
# ETCFILES also disted, but handled differently
ETCFILES = etc/ksh.kshrc etc/profile etc/sys_config.sh
# MISCFILES also disted, but handled differently
MISCFILES = misc/ChangeLog.sjg misc/Changes.jrm misc/Changes.mlj \
	misc/Changes.pc misc/README.sjg misc/ReadMe.eg misc/ReadMe.emacs \
	misc/ReadMe.jrm misc/Bugs 
# TESTFILES also disted, but handled differently
TESTFILES = tests/th tests/th-sh tests/alias.t tests/arith.t tests/bksl-nl.t \
	tests/brkcont.t tests/cdhist.t tests/eglob.t tests/glob.t \
	tests/heredoc.t tests/history.t tests/ifs.t tests/integer.t \
	tests/read.t tests/regress.t tests/unclass1.t \
	tests/unclass2.t tests/version.t 
# OS2FILES also disted, but handled differently
OS2FILES = os2/Makefile os2/config.h os2/config.status os2/configure.cmd \
	os2/emacs.out os2/kshrc.ksh os2/make.sed os2/os2.c os2/os2siglist.out \
	os2/README.os2 os2/NEWS.os2 os2/os2bugs os2/th.cmd os2/config.cache

all: $(SHELL_PROG)$(exe_suffix) $(SHELL_PROG).1

# This shouldn't be first - some makes don't know about PRECIOUS and assume it
# is the default target.
.PRECIOUS: configure config.h.in Makefile config.status

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) -I. -I$(srcdir) $(CFLAGS) $<

install: installdirs all
	$(INSTALL_PROGRAM) $(SHELL_PROG)$(exe_suffix) $(bindir)/$(SHELL_PROG)$(exe_suffix)
	-$(INSTALL_DATA) $(SHELL_PROG).1 $(mandir)/$(SHELL_PROG).$(manext)
	-@prog=$(bindir)/$(SHELL_PROG)$(exe_suffix);\
	    test -f /etc/shells \
	    && (grep "^$$prog\$$" /etc/shells > /dev/null \
		|| echo \
"NOTE: /etc/shells does not contain $$prog \
      you should add it if you want to set your shell to $(SHELL_PROG)")

installdirs:
	$(srcdir)/mkinstalldirs $(bindir) $(mandir)

uninstall:
	rm -f $(bindir)/$(SHELL_PROG)$(exe_suffix)
	rm -f $(mandir)/$(SHELL_PROG).$(manext)

check test:
	th.cmd $(srcdir)/tests/th -s $(srcdir)/tests -p ./$(SHELL_PROG)$(exe_suffix)

$(SHELL_PROG)$(exe_suffix): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

# two steps to prevent the creation of a bogus tmpksh.1
$(SHELL_PROG).1: $(srcdir)/ksh.Man
	$(srcdir)/mkman $(SHELL_PROG) $(srcdir)/ksh.Man > tmpksh.1
	mv tmpksh.1 $(SHELL_PROG).1

info:
	@echo "No info (yet)"

dvi:

$(srcdir)/configure: configure.in aclocal.m4
	cd $(srcdir) && autoconf

$(srcdir)/config.h.in: stamp-h.in
$(srcdir)/stamp-h.in: configure.in aclocal.m4 acconfig.h
	cd $(srcdir) && autoheader
	date > $(srcdir)/stamp-h.in

config.h:
	cmd /c copy $(srcdir)\os2\config.h config.h > nul
	touch config.h

Makefile:
	cmd /c copy $(srcdir)\os2\Makefile Makefile > nul
	touch Makefile

# two steps to prevent the creation of a bogus siglist.out
siglist.out:
	cmd /c copy $(srcdir)\os2\os2siglist.out siglist.out > nul
	touch siglist.out

# two steps to prevent the creation of a bogus emacs.out
emacs.out:
	cmd /c copy $(srcdir)\os2\emacs.out emacs.out > nul
	touch emacs.out

debugtools: check-fd$(exe_suffix) check-sigs$(exe_suffix) \
	check-pgrp$(exe_suffix)

check-fd.o check-pgrp.o check-sigs.o: config.h
check-fd$(exe_suffix): check-fd.o
	$(CC) $(LDFLAGS) -o $@ check-fd.o $(LIBS)

check-pgrp$(exe_suffix): check-pgrp.o
	$(CC) $(LDFLAGS) -o $@ check-pgrp.o $(LIBS)

check-sigs$(exe_suffix): check-sigs.o
	$(CC) $(LDFLAGS) -o $@ check-sigs.o $(LIBS)

TAGS: $(SRCS) $(HDRS)
	cd $(srcdir) && etags $(SRCS) $(HDRS)

tags: $(SRCS) $(HDRS)
	cd $(srcdir) && ctags -wt $(SRCS) $(HDRS)

clean:
	rm -f ksh$(exe_suffix) sh$(exe_suffix) ksh.1 sh.1 $(OBJS) siglist.out \
	      emacs.out core mon.out gmon.out \
	      version.c.bak Makefile.bak Makefile.tmp check-fd$(exe_suffix) \
	      check-pgrp$(exe_suffix) check-sigs$(exe_suffix)

mostlyclean: clean

distclean: clean
	rm -f Makefile config.h stamp-h config.status config.log config.cache \
	      tags TAGS *~

realclean: distclean

dist: $(DISTFILES) $(ETCFILES) $(MISCFILES) $(TESTFILES) $(OS2FILES)
	cd $(srcdir) && \
	  { \
	    ./new-version.sh; \
	    FNAME=pdksh-`sed -e '/"@(.)/!d' \
		    -e 's/[^0-9]*\([0-9.]*\).*/\1/' -e q version.c`; \
	    echo Creating version $$FNAME; \
	    rm -rf $$FNAME; \
	    mkdir $$FNAME $$FNAME/etc $$FNAME/misc $$FNAME/tests $$FNAME/os2; \
	    cp -p $(DISTFILES) $$FNAME; \
	    cp -p $(ETCFILES) $$FNAME/etc; \
	    cp -p $(MISCFILES) $$FNAME/misc; \
	    cp -p $(TESTFILES) $$FNAME/tests; \
	    cp -p $(OS2FILES) $$FNAME/os2; \
	    ./emacs-gen.sh emacs.c > os2/emacs.out; \
	    test -x ./Dist-fixup && ./Dist-fixup $$FNAME; \
	    sed -f os2/make.sed < $$FNAME/Makefile.in > $$FNAME/os2/Makefile; \
	    chmod -R a+rX,u+w,og-w $$FNAME; \
	    tar chzf $$FNAME.tar.gz $$FNAME; \
	    find $$FNAME -print | xargs pathchk -p; \
	  }

depend: $(SRCS)
	sed -n '1,/[ ]PUT ANYTHING BELOW THIS LINE/p' < Makefile > Makefile.tmp
	srcs=; for i in $(SRCS) ; do srcs="$$srcs $(srcdir)/$$i"; done; \
	  $(CC) -M $(DEFS) -I. -I$(srcdir) $(CFLAGS) $$srcs | \
	    sed -e 's?[ 	]/[^ 	]*??g' -e 's?[ 	]./? ?g' \
		-e 's?[ 	]$(srcdir)//*? ?g' -e 's?^$(srcdir)//*??' \
		-e '/^[ 	]*\\[	 ]*$$/d' -e '/^[^:]*:[	 ]*$$/d' \
		-e 's/^\([	 ]*\)$$/ sh.h/' \
	    >> Makefile.tmp
	mv Makefile.tmp Makefile
	@echo 'Make depend done (stopping make)'; false

# DON'T PUT ANYTHING BELOW THIS LINE (and don't delete it - its for make depend)
alloc.o: alloc.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h
c_ksh.o: c_ksh.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h \
 sh.h
c_sh.o: c_sh.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_time.h \
 ksh_times.h \
 sh.h
c_test.o: c_test.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h c_test.h
c_ulimit.o: c_ulimit.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_time.h \
 sh.h
edit.o: edit.c config.h conf-end.h sh.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h tty.h \
 edit.h \
 ksh_stat.h
emacs.o: emacs.c config.h conf-end.h sh.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_dir.h \
 edit.h emacs.out
eval.o: eval.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h \
 ksh_dir.h \
 ksh_stat.h
exec.o: exec.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h c_test.h \
 ksh_stat.h
expr.o: expr.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h \
 sh.h
history.o: history.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h
io.o: io.c \
 sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h
jobs.o: jobs.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_wait.h \
 ksh_times.h ksh_time.h \
 tty.h \
 sh.h
lex.o: lex.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h \
 sh.h
mail.o: mail.c config.h conf-end.h sh.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_time.h \
 sh.h
main.o: main.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_time.h \
 sh.h
misc.o: misc.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h \
 sh.h
missing.o: missing.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_dir.h \
 ksh_time.h \
 ksh_times.h \
 sh.h
path.o: path.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h
shf.o: shf.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h ksh_limval.h \
 sh.h
sigact.o: sigact.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h
syn.o: syn.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h c_test.h
table.o: table.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h
trap.o: trap.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h siglist.out
tree.o: tree.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h
tty.o: tty.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_stat.h tty.h \
 sh.h
var.o: var.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h ksh_time.h \
 ksh_limval.h \
 ksh_stat.h \
 sh.h
version.o: version.c sh.h config.h conf-end.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h
vi.o: vi.c config.h conf-end.h sh.h \
 shf.h table.h tree.h expand.h lex.h \
 proto.h \
 ksh_stat.h edit.h

## pdksh 5.2.13

=== os2/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 TESTFILES = tests/th tests/th-sh tests/alias.t tests/arith.t tests/bksl-nl.t \
 	tests/brkcont.t tests/cdhist.t tests/eglob.t tests/glob.t \
 	tests/heredoc.t tests/history.t tests/ifs.t tests/integer.t \
-	tests/read.t tests/regress.t tests/unclass1.t \
+	tests/read.t tests/regress.t tests/syntax.t tests/unclass1.t \
 	tests/unclass2.t tests/version.t 
 # OS2FILES also disted, but handled differently
 OS2FILES = os2/Makefile os2/config.h os2/config.status os2/configure.cmd \
@@ -158,7 +158,7 @@
 
 clean:
 	rm -f ksh$(exe_suffix) sh$(exe_suffix) ksh.1 sh.1 $(OBJS) siglist.out \
-	      emacs.out core mon.out gmon.out \
+	      emacs.out core a.out mon.out gmon.out \
 	      version.c.bak Makefile.bak Makefile.tmp check-fd$(exe_suffix) \
 	      check-pgrp$(exe_suffix) check-sigs$(exe_suffix)

## pdksh 5.2.14

=== debian/changelog ===
pdksh (5.2.14-26ubuntu1) precise-proposed; urgency=low

  * Mark pdksh Multi-Arch: foreign (LP: #1054343)

 -- Mark Russell <mark.russell@canonical.com>  Thu, 27 Sep 2012 17:53:15 -0400

pdksh (5.2.14-26) unstable; urgency=low

  * Orphaning package (see bug#646382), maintainer set to Debian QA Group.
  * Add a NEWS entry to recommend switching to other available implementations
    of the Korn shell.
  * Add `Suggests: mksh | ksh' line in debian/control.
  * Standards-Version: 3.9.2 (no changes).
  * Switch to source format to `3.0 (quilt)', drop build dependency on quilt
    together with README.source file.
  * Fix lintian warnings.
  * Build with debhelper v8.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Oct 2011 20:02:17 +0200

pdksh (5.2.14-25) unstable; urgency=low

  * Applied changes from mksh:
    + 109_mksh-delete_key.patch: make delete key work (closes: #190566);
    + 111_mksh-set-e.patch: fix set -e handling (closes: #387755, cf. #546332);
      remove 002_upstream-set-e.patch, it's no longer needed.

  * Patches from OpenBSD:
    + 112_OpenBSD-test.patch:  make test(1) operator precedence consistent
      with POSIX;
    + 113_OpenBSD-memory.patch: fix a few memory leaks;
    + 114_OpenBSD-let-crash.patch: fix `let --' crash;
    + 115_OpenBSD-echo-posix.patch: allow only `-n' option to `echo' in POSIX
      mode;
    + 116_OpenBSD-history.patch: infinite loop in history.

  * Debian patches:
    + 110_Debian-exit-negative-number.patch: fix `exit -1' handling
      (cf. #502934).
    + 117-Debian-test.patch: fix 4-argument test (closes: #465250).

  * Refresh other patches when needed.
  * Add a few regression tests, call make test during build.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Sep 2009 21:32:53 +0200

pdksh (5.2.14-24) unstable; urgency=low

  * Fix debian/watch file (closes: #460010).
  * 045_Debian-job-control.patch: modified to fix problem with 'stop ()'
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.
  * Standards-Version: 3.8.3.
  * Use debhelper v7.
  * Remove outdated preinst and some part from postinst (closes: #537778).
  * Add the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 13:01:34 +0200

pdksh (5.2.14-23) unstable; urgency=low

  * 108_Debian-sysconf_retval_check.patch: Fix problem with `sudo pdksh -c
    "sleep 10 &"'.
  * Fix debian/watch file.

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 22:07:00 +0200

pdksh (5.2.14-22) unstable; urgency=low

  * Fix invalid CFLAGS line that caused FTBFS with current dpkg-buildpackage
    (closes: #476002).
  * Reorganise patches applied to the upstream version:
    + switch from dpatch to quilt;
    + split changes applied up to 5.2.14-20 into several patches as
      {001,002,010,011,020,030,040,041,042,043,044,045,050}_*.patch;
    + rename previous dpatch patches to {101,102,103,104,105}_*.patch.
  * New patches:
    + 106_Debian-man-hyphens.patch: fix hyphens in man page (lintian);
    + 107_Debian-gcc-warnings2.patch: fix a few gcc warnings.
  * Standards-Version: 3.7.3 (no changes).
  * Update debhelper build-dependency for v6.
  * Add source lintian overrides for `configure-generated-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 21:30:41 +0200

pdksh (5.2.14-21) unstable; urgency=low

  * Use dpatch for maintaining new patches.
  * 104_PLD-pdksh-EDITMODE.dpatch: Add support for EDITMODE variable.
  * 109_PLD-pdksh-ulimit-vmem.dpatch: Add support for `ulimit -v'.
  * 110_PLD-pdksh-unset.dpatch: Don't fail on unsetting undefined variables.
  * 111_BUG415167-lack-of-dot-arguments.dpatch: Don't ignore missing argument
    of the `.' command (closes: #415167).
  * 112_OpenBSD-heredoc-quote.dpatch: Fix " in here documents (closes: #219343).

  * Set debhelper compatibility mode to 6.
  * Standards-Version: 3.7.2 (no changes).
  * debian/menu: Change section name to "Applications" (lintian).
  * Add Homepage field to debian/control.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Oct 2007 00:25:06 +0200

pdksh (5.2.14-20) unstable; urgency=low

  * Depends on debianutils (>= 2.15) instead of passwd (closes: #334082).
  * Standards-Version: 3.6.2 (no changes)

 -- Robert Luberda <robert@debian.org>  Wed, 19 Oct 2005 20:34:06 +0200

pdksh (5.2.14-19) unstable; urgency=low

  * postinst,postrm: use add-shell and remove-shell commands to maintain /bin/pdksh
    in /etc/shells.
  * Declare dependency on passwd (>= 1:4.0.3-10) as described in README.shells
    from the passwd package.
  * c_ulimit.c: enclose all uses of RLIMIT_LOCKS with appropriate #ifdefs
    (closes: #307323).

 -- Robert Luberda <robert@debian.org>  Sat,  7 May 2005 10:53:52 +0200

pdksh (5.2.14-18) unstable; urgency=low

  * Rename /bin/ksh to /bin/pdksh and use the Debian alternatives mechanism
    for manage /bin/ksh (closes: #294592).
  * debian/{preinst,postinst}: update /bin/sh link if it pointed to /bin/ksh.
  * Update debian/menu.
  * Added NEWS.Debian.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Apr 2005 17:11:04 +0200

pdksh (5.2.14-17) unstable; urgency=low

  * Fix job control bug in non-interactive scripts (closes: #296446)
    Many thanks to Paul Stroud <pstroud@gmail.com> for the patch.
  * lex.c: Don't expand aliases if there's an opening bracket just after
    the token. Fixes unreported problem with pdksh reporting syntax error
    on the init scripts that define function named `stop' (clashing
    with an built-in alias.)

 -- Robert Luberda <robert@debian.org>  Sun, 27 Feb 2005 18:36:55 +0100

pdksh (5.2.14-16) unstable; urgency=medium

  * emacs.c: Fix segmentation fault bug when ksh used bash history file
    (closes: #284358).

 -- Robert Luberda <robert@debian.org>  Wed, 29 Dec 2004 00:43:04 +0100

pdksh (5.2.14-15) unstable; urgency=low

  * Fix typo in the ksh man page (closes: #281845).
    Thanks to A Costa <agcosta@gis.net> for the patch.



=== debian/control ===
Source: pdksh
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2

Package: pdksh
Architecture: any
Multi-Arch: foreign
Depends: debianutils (>= 2.15), ${misc:Depends}, ${shlibs:Depends}
Homepage: http://www.cs.mun.ca/~michael/pdksh/
Suggests: mksh | ksh
Description: Public domain version of the Korn shell
 PD-ksh is a mostly complete AT&T ksh look-alike (see NOTES file for a list
 of things not supported).  Work is currently underway to make it fully
 compatible with both POSIX and AT&T ksh (when the two don't conflict).
 .
 Since pdksh is free and compiles and runs on most common Unix systems,
 it is very useful in creating a consistent user interface across multiple
 machines.  For example, in the CS department of MUN, pdksh is installed
 on a variety of machines including Suns, HPs, DecStations, PCs running
 Linux, etc., and is the login shell of ~4500 users.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# $Id: rules 156 2011-10-23 12:02:34Z robert $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
                     CFLAGS_ADD = -O0
else
                     CFLAGS_ADD = -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
                     INSTALL_ADD = -s
endif

CFLAGS=-Wall -g -DDEBIAN -D_FILE_OFFSET_BITS=64 $(CFLAGS_ADD)

ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif


build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/ \
		    --enable-history=simple \
		    --program-prefix="pd"


	$(MAKE) CFLAGS="$(CFLAGS)"
	touch "$@"

test: test-stamp
test-stamp: build-stamp
	$(MAKE) test
	touch "$@"

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp test-stamp

	# Add here commands to clean up after the build process.
	if [ -f Makefile ]; then \
	  make realclean; \
	else \
	  make -f Makefile.in realclean; \
	fi

	rm -rf debian/_tmp_

	dh_clean

install: build-stamp test-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) CFLAGS="$(CFLAGS)" \
	        LDFLAGS="" INSTALL_PROGRAM='install -c $(INSTALL_ADD)' \
		prefix=$(CURDIR)/debian/$(shell dh_listpackages)/ \
		mandir='$$(prefix)/usr/share/man/man1' install

	mkdir -p -m755 debian/_tmp_
	cp -a ChangeLog.0 debian/_tmp_/changelog.0

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman

# ifneq (hurd,$(patsubst hurd-%,hurd,$(DEB_BUILD_ARCH)))
#	dh_link  bin/ksh usr/bin/ksh
#endif

	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install test

=== debian/watch ===
version=3
http://www.cs.mun.ca/~michael/pdksh/files/pdksh-([\w+\d+\.]+)\.(?:tar\.gz|tgz|tar\.bz2) debian uupdate
